[sonar-dev] Status of Java 8 support for SonarQube 5.x?

classic Classic list List threaded Threaded
2 messages Options
fge
Reply | Threaded
Open this post in threaded view
|

[sonar-dev] Status of Java 8 support for SonarQube 5.x?

fge
Hello,

Reading the documentation I don't see that SonarQube 5.x is
"officially stamped" to work with Java 8, only that Java 7 at least is
required. This or I missed some link where it is mentioned.

Have there been any tests done with Java 8?

Regards,
--
Francis Galiegue, [hidden email], https://github.com/fge
JSON Schema in Java: http://json-schema-validator.herokuapp.com
Parsers in pure Java: https://github.com/fge/grappa

---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email


fge
Reply | Threaded
Open this post in threaded view
|

[sonar-dev] Re: Status of Java 8 support for SonarQube 5.x?

fge
Answer to stupid question...

On Thu, Apr 30, 2015 at 2:01 PM, Francis Galiegue <[hidden email]> wrote:
> Hello,
>
> Reading the documentation I don't see that SonarQube 5.x is
> "officially stamped" to work with Java 8, only that Java 7 at least is
> required. This or I missed some link where it is mentioned.
>
> Have there been any tests done with Java 8?
>

http://docs.sonarqube.org/display/SONAR/Requirements

Meh, it is mentioned explictly.

Sorry for the noise...
--
Francis Galiegue, [hidden email], https://github.com/fge
JSON Schema in Java: http://json-schema-validator.herokuapp.com
Parsers in pure Java: https://github.com/fge/grappa

---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email